﻿using Hotline.Application.OrderApp.OrderDelayApp;
using Hotline.Share.Dtos.Order;
using Hotline.Share.Dtos.Order.OrderDelay;
using Microsoft.AspNetCore.Mvc;

namespace Hotline.Api.Controllers.OrderApi;

public class OrderDelayController
{
    private readonly IOrderDelayApplication _orderDelayApplication;
    public OrderDelayController(IOrderDelayApplication orderDelayApplication)
    {
        _orderDelayApplication = orderDelayApplication;
    }
    [HttpGet("delay/list")]
    public async Task<IActionResult> GetDelayList([FromQuery] DelayListDto dto)
    {
        var result = await _orderDelayApplication.QueryWaited(dto);
        return Ok(result);
    }
    [HttpPost("delay/review")]
    public async Task<IActionResult> Review([FromBody] OrderDelayReviewRequest request, CancellationToken cancellation)
    {
        await _orderDelayApplication.ReviewAsync(request, cancellation);
        return Ok();
    }
}